# _NvBufferParams Struct Reference

`#include <nvbuf_utils.h>`

List of all members.

## Public Attributes

uint32_t | dmabuf_fd
void * | nv_buffer
uint32_t | nv_buffer_size
uint32_t | pixel_format
uint32_t | num_planes
uint32_t | width [MAX_NUM_PLANES]
uint32_t | height [MAX_NUM_PLANES]
uint32_t | pitch [MAX_NUM_PLANES]
uint32_t | offset [MAX_NUM_PLANES]

## Detailed Description

Definition at line 48 of file nvbuf_utils.h.

## Member Data Documentation

uint32_t _NvBufferParams::dmabuf_fd

Definition at line 50 of file nvbuf_utils.h.

uint32_t _NvBufferParams::height[MAX_NUM_PLANES]

Definition at line 56 of file nvbuf_utils.h.

uint32_t _NvBufferParams::num_planes

Definition at line 54 of file nvbuf_utils.h.

void* _NvBufferParams::nv_buffer

Definition at line 51 of file nvbuf_utils.h.

uint32_t _NvBufferParams::nv_buffer_size

Definition at line 52 of file nvbuf_utils.h.

uint32_t _NvBufferParams::offset[MAX_NUM_PLANES]

Definition at line 58 of file nvbuf_utils.h.

uint32_t _NvBufferParams::pitch[MAX_NUM_PLANES]

Definition at line 57 of file nvbuf_utils.h.

uint32_t _NvBufferParams::pixel_format

Definition at line 53 of file nvbuf_utils.h.

uint32_t _NvBufferParams::width[MAX_NUM_PLANES]

Definition at line 55 of file nvbuf_utils.h.

The documentation for this struct was generated from the following file:

- include/nvbuf_utils.h